#pragma once

#include "../../../GAME_COMMON.h"
#include "../../ecs_entity.h"

typedef struct ComponentAmmo
{
	ECSComponent component;
	u32 value;
	u32 max;
	bool isOut;
} ComponentAmmo;

void component_ammo_init(ComponentAmmo* self, u32 max);
void component_ammo_tick(ComponentAmmo* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_AMMO_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL, 
			(ECSFunction)component_ammo_tick,
			NULL
		}
	},
	.type = ECS_COMPONENT_AMMO,
	.size = sizeof(ComponentAmmo)
};


